#
# Makefile for ALSA low level driver (Linux version)
# Copyright (c) 1994-98 by Jaroslav Kysela <perex@suse.cz>
#

TOPDIR  = ../..

include $(TOPDIR)/Makefile.conf

TARGETS = $(SNDVERSIONS) \
          $(TOPDIR)/modules/snd-pcm1.o
EXPORTS = pcm1_native.o
ifeq (1, $(CONFIG_SND_OSSEMUL))
TARGETS += $(TOPDIR)/modules/snd-pcm1-oss.o
endif
PCM1	= pcm1_native.o
PCM1_OSS= pcm1_oss.o

include $(TOPDIR)/Rules.make

all: $(TARGETS)

include $(TOPDIR)/Rules1.make

$(TOPDIR)/modules/snd-pcm1.o: .depend $(SNDVERSIONS) $(PCM1)
	$(LINKER) -o $@ $(PCM1)

$(TOPDIR)/modules/snd-pcm1-oss.o: .depend $(SNDVERSIONS) $(PCM1_OSS)
	$(LINKER) -o $@ $(PCM1_OSS)

gcompile: $(TARGETS)

clean:
	rm -f .depend *.o *.orig snd.map snd.map? *.old *~
	rm -f core $(SNDVERSIONS) $(SYMFILES)

.depend: $(SYMFILES)
	$(CPP) $(COPTS) $(INCLUDE) *.c > .depend

dep:	.depend

dummy:

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
